// components/navs/index.js
import Config from '../../utils/Config.js'
import api from '../../utils/Api.js'
Component({

  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 页面的初始数据
   */
  data: {
    audit: 0
  },


  /**
   * 生命周期函数--监听页面显示
   */
  methods: {
    // 分类点击
    catalogClick: function(event) {
      let _catalog = event.currentTarget.dataset.catalog
      let _ptitle = event.currentTarget.dataset.name
      wx.navigateTo({
        url: '/pages/search/list/list?catalog=' + _catalog + '&ptitle=' + _ptitle,
      })
    },

    // 商家合作
    gotoShopJoin: function(event) {
      wx.navigateTo({
        url: '/pages/webview/index?url=' + Config.shopJoinPath + '&t=商家合作',
      })
    },

    // 获取个人资料
    getAudit: function(callback) {
      api.setting.audit().then(res => {
        // 渲染数据
        console.log(111, res)
        this.setData({
          audit: res.data
        })
        typeof callback == "function" && callback()
      })
    }
  },

  /*组件生命周期*/
  lifetimes: {
    created() {
      this.getAudit()
    },
    attached() {
      console.log("在组件实例进入页面节点树时执行")
    },
    ready() {
      console.log("在组件在视图层布局完成后执行")
    },
    moved() {
      console.log("在组件实例被移动到节点树另一个位置时执行")
    },
    detached() {
      console.log("在组件实例被从页面节点树移除时执行")
    },
    error() {
      console.log("每当组件方法抛出错误时执行")
    },
    /*组件所在页面的生命周期 */
    pageLifetimes: {
      show: function() {
        // 页面被展示
        console.log("页面被展示")
      },
      hide: function() {
        // 页面被隐藏
        console.log("页面被隐藏")
      },
      resize: function(size) {
        // 页面尺寸变化
        console.log("页面尺寸变化")
      }
    }
  }
})